<dx-responsive-box singleColumnScreen="sm" [(screenByWidth)]="screen">
  <dxi-row [ratio]="1"></dxi-row>
  <dxi-row [ratio]="2" screen="xs"></dxi-row>
  <dxi-row [ratio]="2"></dxi-row>

  <dxi-col [ratio]="1"></dxi-col>
  <dxi-col [ratio]="2" screen="lg"></dxi-col>
  <dxi-col [ratio]="1"></dxi-col>
  <dxi-item>
    <dxi-location [row]="0" [col]="0" [colspan]="3" screen="lg"></dxi-location>
    <dxi-location [row]="0" [col]="0" [colspan]="2" screen="sm"></dxi-location>
    <div *dxTemplate class="header item"></div>
  </dxi-item>
  <dxi-item>
    <dxi-location [row]="1" [col]="1" screen="lg"></dxi-location>
    <dxi-location [row]="2" [col]="0" [colspan]="2" screen="sm"></dxi-location>
    <div *dxTemplate class="content item" style="margin: 6%">
      <dxi-item>
        <dx-button
          id="idDetail"
          style="width: 50%"
          [disabled]="detailRecipeDisabled"
          detailRecipeDisabled
          stylingMode="contained"
          text="Recipe detail"
          type="default"
          (onClick)="recipeDetailPage($event)"
        >
        </dx-button>
      </dxi-item>
      <div
        *ngIf="
          selectedItem !== undefined &&
          selectedItem !== null &&
          selectedItem.favorite
        "
        style="margin: 1.4%; float: left"
      >
        <div style="margin: 2%">
          <p>
            <dx-button icon="favorites"></dx-button>
            {{ selectedRecipeText }}
          </p>
        </div>
      </div>
      <div
        *ngIf="
          selectedItem !== undefined &&
          selectedItem !== null &&
          selectedItem.favorite === false
        "
        style="margin: 1.4%; float: left"
      >
        <div style="margin: 2%">
          <p>
            {{ selectedRecipeText }}
          </p>
        </div>
      </div>
    </div>
  </dxi-item>
  <dxi-item>
    <dxi-location [row]="1" [col]="0" screen="lg"></dxi-location>
    <dxi-location [row]="1" [col]="2" screen="sm"></dxi-location>
    <div *dxTemplate class="left-side-bar item" style="margin: 7%">
      <dxi-item>
        <span>Recipe search:</span>
        <dx-autocomplete
          placeholder="Search recipe"
          [showClearButton]="true"
          valueExpr="title"
          [dataSource]="recipeSearch"
          itemTemplate="content"
          [(selectedItem)]="selectedItem"
          (onValueChanged)="onValueChangedRecipe($event)"
          (onItemClick)="onItemClick($event)"
        >
          <div *dxTemplate="let data of 'content'">
            <div *ngIf="data !== undefined && data.favorite">
              <p>
                <dx-button icon="favorites"></dx-button>
                <b>{{ data.title }}</b>
              </p>
            </div>
            <div *ngIf="data !== undefined && data.favorite === false">
              <p>
                <b>{{ data.title }}</b>
              </p>
            </div>
          </div>
        </dx-autocomplete>
      </dxi-item>
    </div>
  </dxi-item>
</dx-responsive-box>
